> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# List IT assets

GET https://api.letsdeel.com/rest/it/assets

Lists the IT assets your organization owns or rents, current and historical, with status and assignment metadata. Use it to reconcile Deel's inventory against your own MDM or CMDB, filtering by holder, location, category, or status.

 **Token scopes**: `it-assets:read`

Reference: https://developer.deel.com/api/deel-it/endpoints/it-assets/list-it-assets-v-2026-01-01

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Query parameters

- `cursor` (string, optional) — Indicates where the next page of results starts, as returned in a paginated list response
- `limit` (integer, optional, default: 20) — Return a page of results with given number of records
- `hris_profile_id` (string, optional) — Filter assets by assigned worker with given HRIS Profile ID
- `location` (enum, optional) — Filter assets by their location
  - Allowed values: `AT_WAREHOUSE`, `CLEARANCE_WAREHOUSE`, `DEEL_WAREHOUSE`, `ORGANIZATION_WAREHOUSE`, `SUPPLIER`, `WITH_COURIER`, `WITH_USER`, `WRITE_OFF`
- `category` (enum, optional) — Filter assets by their product category
  - Allowed values: `ADAPTER`, `CABLE`, `CHAIR`, `CHARGER`, `COMPACT_DESKTOP`, `DESK`, `DESKTOP`, `DESK_RISER`, `DESK_TIDY`, `DOCKING_STATION`, `DONGLE`, `FOOTREST`, `HEADSET`, `KEYBOARD`, `LAPTOP`, `LAPTOP_STAND`, `MICE_TRACKPAD`, `MOBILE_DEVICE`, `MONITOR`, `MONITOR_ARM`, `OTHER`, `PRINTER`, `SHREDDER`, `STANDING_MAT`, `TABLET`, `TASK_LIGHT`, `WEBCAM`, `WELCOME_PACK`, `WIFI_RANGE_EXTENDER`
- `status` (enum, optional) — Filter assets by their status
  - Allowed values: `ACTIVE`, `ARCHIVED`

## Response

### 200

OK

- `data` (list of ItAssetsGetResponsesContentApplicationJsonSchemaDataItems, required)
- `has_more` (boolean, required) — Whether there are more results available
- `next_cursor` (string, required, nullable) — Cursor to the next page
- `total_count` (long, required) — Total number of records

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of ItAssetsGetResponsesContentApplicationJsonSchemaErrorsItems, required)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Internal Server Error

- `errors` (list of ItAssetsGetResponsesContentApplicationJsonSchemaErrorsItems, required)

## Types

### ItAssetsGetResponsesContentApplicationJsonSchemaDataItems

- `id` (string, required) — Unique identifier of the item
- `grade` (enum, required) — The condition grade of the asset
  - Allowed values: `A`, `B`, `C`, `D`, `F`, `NEW`
- `status` (enum, required) — Current state of the asset
  - Allowed values: `ACTIVE`, `ADDED_BY_MISTAKE`, `BEING_REPAIRED`, `BINNED`, `BROKEN_AT_WAREHOUSE`, `BROKEN_BY_USER`, `BROKEN_IN_TRANSIT`, `CLEARED`, `DAMAGED_AT_WAREHOUSE`, `DAMAGED_BY_USER`, `DAMAGED_IN_TRANSIT`, `LEFT_WITH_USER`, `LOST_IN_TRANSIT`, `RETURNED_TO_DEEL`, `SHRINKAGE`, `STOLEN`, `SUPPLIER_RETURN`, `WAITING_FOR_CLEARANCE`
- `product` (ItAssetsGetResponsesContentApplicationJsonSchemaDataItemsProduct, required) — Product details
- `location` (enum, required) — Current location type of the asset
  - Allowed values: `AT_WAREHOUSE`, `CLEARANCE_WAREHOUSE`, `DEEL_WAREHOUSE`, `ORGANIZATION_WAREHOUSE`, `SUPPLIER`, `WITH_COURIER`, `WITH_USER`, `WRITE_OFF`
- `ownership` (ItAssetsGetResponsesContentApplicationJsonSchemaDataItemsOwnership, required) — Asset owner
- `public_id` (string, required) — Public identifier of the item
- `created_at` (string, required) — Creation timestamp of the asset
- `updated_at` (string, required) — Last update timestamp of the asset
- `assigned_user` (ItAssetsGetResponsesContentApplicationJsonSchemaDataItemsAssignedUser, required, nullable) — Details of the user with asset possession
- `purchase_date` (string, required, nullable) — Purchase date of the asset
- `serial_number` (string, required, nullable) — Asset serial number
- `purchase_value` (ItAssetsGetResponsesContentApplicationJsonSchemaDataItemsPurchaseValue, required, nullable) — Purchase value of the asset
- `assigned_warehouse` (ItAssetsGetResponsesContentApplicationJsonSchemaDataItemsAssignedWarehouse, required, nullable) — Details of the warehouse with asset possession

### ItAssetsGetResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, required) — Error code of the handler which produced the returned error
- `field` (string, required, nullable) — The field name where input validation failed
- `message` (string, required) — Description of the returned error

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### ItAssetsGetResponsesContentApplicationJsonSchemaDataItemsProduct

Product details

- `id` (string, required) — Unique identifier of the product
- `name` (string, required) — Product name
- `brand` (string, required) — Product brand
- `category` (enum, required) — Product category
  - Allowed values: `ADAPTER`, `CABLE`, `CHAIR`, `CHARGER`, `COMPACT_DESKTOP`, `DESK`, `DESKTOP`, `DESK_RISER`, `DESK_TIDY`, `DOCKING_STATION`, `DONGLE`, `FOOTREST`, `HEADSET`, `KEYBOARD`, `LAPTOP`, `LAPTOP_STAND`, `MICE_TRACKPAD`, `MOBILE_DEVICE`, `MONITOR`, `MONITOR_ARM`, `OTHER`, `PRINTER`, `SHREDDER`, `STANDING_MAT`, `TABLET`, `TASK_LIGHT`, `WEBCAM`, `WELCOME_PACK`, `WIFI_RANGE_EXTENDER`

### ItAssetsGetResponsesContentApplicationJsonSchemaDataItemsOwnership

Asset owner

- `name` (string, required) — Asset owner name
- `type` (enum, required) — Asset owner type
  - Allowed values: `DEEL`, `ORGANIZATION`

### ItAssetsGetResponsesContentApplicationJsonSchemaDataItemsAssignedUser

Details of the user with asset possession

- `emails` (list of string, required) — Array of user email addresses
- `address` (ItAssetsGetResponsesContentApplicationJsonSchemaDataItemsAssignedUserAddress, required) — User address details
- `last_name` (string, required) — Last name of the user
- `first_name` (string, required) — First name of the user
- `hris_profile_id` (string, required) — The unique identifier of the HRIS profile of the assigned user

### ItAssetsGetResponsesContentApplicationJsonSchemaDataItemsPurchaseValue

Purchase value of the asset

- `amount` (string, required) — Amount
- `currency` (enum, required) — Three-letter currency code for the price
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SSP`, `STD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEF`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMW`, `ZWD`

### ItAssetsGetResponsesContentApplicationJsonSchemaDataItemsAssignedWarehouse

Details of the warehouse with asset possession

- `id` (string, required) — Unique identifier of the warehouse
- `name` (string, required) — Warehouse or storage location name
- `address` (ItAssetsGetResponsesContentApplicationJsonSchemaDataItemsAssignedWarehouseAddress, required) — Warehouse address details
- `ownership` (enum, required) — Warehouse ownership type
  - Allowed values: `DEEL`, `ORGANIZATION`
- `public_id` (string, required) — Public identifier of the warehouse
- `warehouse_type` (enum, required) — Warehouse type
  - Allowed values: `CLEARANCE`, `DEEL`, `ORGANIZATION`

### ItAssetsGetResponsesContentApplicationJsonSchemaDataItemsAssignedUserAddress

User address details

- `id` (string, required) — Unique identifier of the address
- `city` (string, required, nullable) — City name
- `type` (enum, required) — Type of the address
  - Allowed values: `BILLING`, `COLLECTION`, `DELIVERY`, `ENTITY`, `PARTIAL`, `PII`, `SUPPLIER`
- `line1` (string, required, nullable) — Address line 1
- `line2` (string, required, nullable) — Address line 2
- `state` (string, required, nullable) — State code or name
- `country` (enum, required) — Country code
  - Allowed values: `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AN`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `IC`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PS`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `XK`, `YE`, `YT`, `ZA`, `ZM`, `ZW`
- `is_valid` (boolean, required) — Whether the address passes validation
- `post_code` (string, required, nullable) — Post code
- `phone_number` (string, required, nullable) — Phone number
- `date_of_birth` (string, required, nullable) — Date of birth (applicable for some address types)
- `tax_id_number` (string, required, nullable) — Tax ID number (applicable for some address types)
- `passport_number` (string, required, nullable) — Passport number (applicable for some address types)
- `delivery_instructions` (string, required, nullable) — Special instructions for deliveries

### ItAssetsGetResponsesContentApplicationJsonSchemaDataItemsAssignedWarehouseAddress

Warehouse address details

- `id` (string, required) — Unique identifier of the address
- `city` (string, required, nullable) — City name
- `type` (enum, required) — Type of the address
  - Allowed values: `BILLING`, `COLLECTION`, `DELIVERY`, `ENTITY`, `PARTIAL`, `PII`, `SUPPLIER`
- `line1` (string, required, nullable) — Address line 1
- `line2` (string, required, nullable) — Address line 2
- `state` (string, required, nullable) — State code or name
- `country` (enum, required) — Country code
  - Allowed values: `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AN`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `IC`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PS`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `XK`, `YE`, `YT`, `ZA`, `ZM`, `ZW`
- `is_valid` (boolean, required) — Whether the address passes validation
- `post_code` (string, required, nullable) — Post code
- `phone_number` (string, required, nullable) — Phone number
- `date_of_birth` (string, required, nullable) — Date of birth (applicable for some address types)
- `tax_id_number` (string, required, nullable) — Tax ID number (applicable for some address types)
- `passport_number` (string, required, nullable) — Passport number (applicable for some address types)
- `delivery_instructions` (string, required, nullable) — Special instructions for deliveries

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "grade": "A",
      "status": "ACTIVE",
      "product": {
        "id": "550e8400-e29b-41d4-a716-446655440000",
        "name": "MacBook Pro",
        "brand": "Apple",
        "category": "LAPTOP"
      },
      "location": "WITH_USER",
      "ownership": {
        "name": "Deel",
        "type": "DEEL"
      },
      "public_id": "ITM-550E8400",
      "created_at": "2025-08-08T09:49:01.000Z",
      "updated_at": "2025-08-08T09:49:01.000Z",
      "assigned_user": {
        "emails": [
          "bruce.wayne@wayne-enterprise.com",
          "batman@gotham.com"
        ],
        "address": {
          "id": "550e8400-e29b-41d4-a716-446655440000",
          "city": "Gotham",
          "type": "DELIVERY",
          "line1": "1007 Mountain Drive",
          "line2": "Stately Wayne Manor",
          "state": "New Jersey",
          "country": "US",
          "is_valid": true,
          "post_code": "12345",
          "phone_number": "+1-212-456-7890",
          "date_of_birth": "1997-12-18",
          "tax_id_number": "BAT123456",
          "passport_number": "P123456789",
          "delivery_instructions": "Use the Bat-Signal if urgent"
        },
        "last_name": "Wayne",
        "first_name": "Bruce",
        "hris_profile_id": "550e8400-e29b-41d4-a716-446655440000"
      },
      "purchase_date": "2025-08-08",
      "serial_number": "SN123456",
      "purchase_value": {
        "amount": "1999.99",
        "currency": "EUR"
      },
      "assigned_warehouse": {
        "id": "550e8400-e29b-41d4-a716-446655440000",
        "name": "Batcave Warehouse",
        "address": {
          "id": "550e8400-e29b-41d4-a716-446655440000",
          "city": "Gotham",
          "type": "DELIVERY",
          "line1": "1007 Mountain Drive",
          "line2": "Stately Wayne Manor",
          "state": "New Jersey",
          "country": "US",
          "is_valid": true,
          "post_code": "12345",
          "phone_number": "+1-212-456-7890",
          "date_of_birth": "1997-12-18",
          "tax_id_number": "BAT123456",
          "passport_number": "P123456789",
          "delivery_instructions": "Use the Bat-Signal if urgent"
        },
        "ownership": "DEEL",
        "public_id": "WRH-550E8400",
        "warehouse_type": "DEEL"
      }
    }
  ],
  "has_more": true,
  "next_cursor": "d3m0d3m0d3m0d3m0d3m0d3m0d3m0d3m0d3m0d3m",
  "total_count": 133
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/it/assets"

querystring = {"category":"DESK","cursor":"d3m0d3m0d3m0d3m0d3m0d3m0d3m0d3m0d3m0d3m","hris_profile_id":"123e4567-e89b-12d3-a456-426614174000","limit":"10","location":"AT_WAREHOUSE","status":"ARCHIVED"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/it/assets?category=DESK&cursor=d3m0d3m0d3m0d3m0d3m0d3m0d3m0d3m0d3m0d3m&hris_profile_id=123e4567-e89b-12d3-a456-426614174000&limit=10&location=AT_WAREHOUSE&status=ARCHIVED';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/it/assets?category=DESK&cursor=d3m0d3m0d3m0d3m0d3m0d3m0d3m0d3m0d3m0d3m&hris_profile_id=123e4567-e89b-12d3-a456-426614174000&limit=10&location=AT_WAREHOUSE&status=ARCHIVED"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/it/assets?category=DESK&cursor=d3m0d3m0d3m0d3m0d3m0d3m0d3m0d3m0d3m0d3m&hris_profile_id=123e4567-e89b-12d3-a456-426614174000&limit=10&location=AT_WAREHOUSE&status=ARCHIVED")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/it/assets?category=DESK&cursor=d3m0d3m0d3m0d3m0d3m0d3m0d3m0d3m0d3m0d3m&hris_profile_id=123e4567-e89b-12d3-a456-426614174000&limit=10&location=AT_WAREHOUSE&status=ARCHIVED")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/it/assets?category=DESK&cursor=d3m0d3m0d3m0d3m0d3m0d3m0d3m0d3m0d3m0d3m&hris_profile_id=123e4567-e89b-12d3-a456-426614174000&limit=10&location=AT_WAREHOUSE&status=ARCHIVED', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/it/assets?category=DESK&cursor=d3m0d3m0d3m0d3m0d3m0d3m0d3m0d3m0d3m0d3m&hris_profile_id=123e4567-e89b-12d3-a456-426614174000&limit=10&location=AT_WAREHOUSE&status=ARCHIVED");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/it/assets?category=DESK&cursor=d3m0d3m0d3m0d3m0d3m0d3m0d3m0d3m0d3m0d3m&hris_profile_id=123e4567-e89b-12d3-a456-426614174000&limit=10&location=AT_WAREHOUSE&status=ARCHIVED")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```